PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::AxisNames::Register Struct Reference

Register of axis names. More...

`#include <plask/axes.hpp>`

Collaboration diagram for plask::AxisNames::Register:
[legend]

## Public Member Functions
| Register ()
| Construct empty register.
template<typename... Params>
| Register (const std::string &c0_name, const std::string &c1_name, const std::string &c2_name, const Params &... names)
void | addname (const std::string &c0_name, const std::string &c1_name, const std::string &c2_name, const std::string &name)
| Add axis names to register.
Register & | operator() (const std::string &c0_name, const std::string &c1_name, const std::string &c2_name)
| Add axis names using as key: c0_name + c1_name + c2_name.
template<typename Param1 >
Register & | operator() (const std::string &c0_name, const std::string &c1_name, const std::string &c2_name, const Param1 &name)
| Add axis names to register using as keys given `name` and c0_name + c1_name + c2_name.
template<typename Param1 , typename... Params>
Register & | operator() (const std::string &c0_name, const std::string &c1_name, const std::string &c2_name, const Param1 &firstName, const Params &... names)
| Add axis names to register using as keys given names and c0_name + c1_name + c2_name.
const AxisNames & | get (const std::string &name) const
| Get axis names with given name (key).

## Public Attributes
std::map< std::string, AxisNames > | axisNames
| Name of system of axis names -> AxisNames.

## Detailed Description

Register of axis names.

Definition at line 39 of file axes.hpp.

## Constructor & Destructor Documentation

## ◆ Register() [1/2]

plask::AxisNames::Register::Register | ( |  | ) |
| inline

Construct empty register.

Definition at line 44 of file axes.hpp.

## ◆ Register() [2/2]

template<typename... Params>

plask::AxisNames::Register::Register | ( | const std::string & | c0_name,
|  | const std::string & | c1_name,
|  | const std::string & | c2_name,
|  | const Params &... | names
| ) |  |
| inline

Definition at line 47 of file axes.hpp.

## Member Function Documentation

## ◆ addname()

void plask::AxisNames::Register::addname | ( | const std::string & | c0_name,
|  | const std::string & | c1_name,
|  | const std::string & | c2_name,
|  | const std::string & | name
| ) |  |
| inline

Add axis names to register.

Parameters

  c0_name,c1_name,c2_name | axis names
  name | name of axis names, register key

Definition at line 56 of file axes.hpp.

## ◆ get()

const AxisNames & plask::AxisNames::Register::get | ( | const std::string & | name | ) | const

Get axis names with given name (key).

Parameters

  name | register keys

Returns
  axis names

Exceptions

  NoSuchAxisNames | if axis names with given name not exists in register

Definition at line 20 of file axes.cpp.

## ◆ operator()() [1/3]

Register & plask::AxisNames::Register::operator() | ( | const std::string & | c0_name,
|  | const std::string & | c1_name,
|  | const std::string & | c2_name
| ) |  |
| inline

Add axis names using as key: c0_name + c1_name + c2_name.

Parameters

  c0_name,c1_name,c2_name | axis names

Definition at line 64 of file axes.hpp.

## ◆ operator()() [2/3]

template<typename Param1 , typename... Params>

Register & plask::AxisNames::Register::operator() | ( | const std::string & | c0_name,
|  | const std::string & | c1_name,
|  | const std::string & | c2_name,
|  | const Param1 & | firstName,
|  | const Params &... | names
| ) |  |
| inline

Add axis names to register using as keys given names and c0_name + c1_name + c2_name.

Parameters

  c0_name,c1_name,c2_name | axis names
  firstName,names | names of axis names, register keys

Template Parameters

  Param1,Params | each of type std::string or const char*

Definition at line 88 of file axes.hpp.

## ◆ operator()() [3/3]

template<typename Param1 >

Register & plask::AxisNames::Register::operator() | ( | const std::string & | c0_name,
|  | const std::string & | c1_name,
|  | const std::string & | c2_name,
|  | const Param1 & | name
| ) |  |
| inline

Add axis names to register using as keys given `name` and c0_name + c1_name + c2_name.

Parameters

  c0_name,c1_name,c2_name | axis names
  name | name of axis names, register key

Template Parameters

  Param1 | std::string or const char*

Definition at line 76 of file axes.hpp.

## Member Data Documentation

## ◆ axisNames

std::map<std::string, AxisNames> plask::AxisNames::Register::axisNames

Name of system of axis names -> AxisNames.

Definition at line 41 of file axes.hpp.

The documentation for this struct was generated from the following files:

- plask/axes.hpp
- plask/axes.cpp